LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux From Scratch (http://www.linuxquestions.org/questions/linux-from-scratch-13/)
-   -   Can't make glibc-2.3.5 (http://www.linuxquestions.org/questions/linux-from-scratch-13/can%27t-make-glibc-2-3-5-a-355650/)

thedeath2k4 08-21-2005 10:07 PM

Can't make glibc-2.3.5
 
I've been wanting to do a LFS, and have been having problems with compiling glibc, no matter what I do.

I was doing LFS 6.1, and had the same problem as I am now, and now I'm doing the experimental version of LFS. This is what seems to be the error I keep getting:

Code:

../sysdeps/unix/sysv/linux/i386/setgroups.c: In function `setgroups':
../sysdeps/unix/sysv/linux/i386/setgroups.c:47: error: `__NR_setgroups32' undeclared (first use in this function)
../sysdeps/unix/sysv/linux/i386/setgroups.c:47: error: (Each undeclared identifier is reported only once
../sysdeps/unix/sysv/linux/i386/setgroups.c:47: error: for each function it appears in.)
make[2]: *** [/mnt/lfs/sources/glibc-build/grp/setgroups.o] Error 1
make[2]: Leaving directory `/mnt/lfs/sources/glibc-2.3.5/grp'
make[1]: *** [grp/subdir_lib] Error 2
make[1]: Leaving directory `/mnt/lfs/sources/glibc-2.3.5'
make: *** [all] Error 2

Oh, BTW, I'm building it in a folder beside the actual source folder called glibc-build. The sources are held in a folder that is ../glibc-2.3.5 from that folder.I'm using the following configure arugments:

Code:

../glibc-2.3.5/configure --prefix=/tools \
    --disable-profile --enable-add-ons \
    --enable-kernel=2.6.0 --with-binutils=/tools/bin \
    --without-gd --with-headers=/tools/include \
    --without-selinux


I can't figure it out.... I'm using the x86_64 version of the linux-libc-headers-2.6.12 package. I run an Athlon 64 3200+, 512mb RAM. I've tried using the i386 headers.

I'm using the livecd of PCLinuxOS to do it, although I have tried it with the LFS livecd. Please help.. I'd really like to do this for some experience and satisfaction.

foo_bar_foo 08-21-2005 11:42 PM

that's wierd
what kernel are you running there on the debian host ?
i think they are saying minimal kernel version for the build is 2.6.2
this might be the problem because those syscall parameters used by glibc are picked up from the running kernel i think

thedeath2k4 08-22-2005 03:34 AM

According to uname -r, I'm running
2.6.11-oci11.mdk-i586-up-1GB
on the PCL livecd. Not to mention I was trying to do it with the LFS pre-made livecd, which I would assume, since it's made for installing LFS, it would run a compatible kernel. It's odd that I'm getting the same error under 2 different hosts, and 2 different versions of glibc. I'm completely stumped by this one...

jtshaw 08-22-2005 08:02 AM

Moved to the LFS forum.

thedeath2k4 08-22-2005 06:27 PM

Ok, sorry, didn't relize that there was a LFS forum. No one has ever had this problem before?? No one knows how to fix it??? Please, anyone who can help, please throw a word in.. I'm really getting frustrated by this thing.

sundialsvcs 08-23-2005 10:37 AM

Patience, padewan! :)

After doing a make clean, and before you try to configure and compile again, locate the source-file in question and check its #ifdefs.


All times are GMT -5. The time now is 11:10 PM.